<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Memory Game</title>
	<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
	<style type="text/css">
		*, *:before, *:after {
		  box-sizing: border-box;
		}
		html, input {
		  font-family: Arial, Helvetica, sans-serif;
		  font-size: 16px;
		  line-height: 1.5;
		  box-sizing: border-box;
		}
		body{
		  margin: 0;
		}
		.mainContainer {
		    padding: 1rem;
		  /*background-image: url('https://www.alzsd.org/wp-content/uploads/2018/01/brain.png');*/
		  /*background-repeat:no-repeat;*/
		  /*background-size:contain;*/
		  /*background-position:center;*/
		}
		form {
		  display: flex;
		  flex-wrap: wrap;
		}
		fieldset {
			width: 100%;
			display: inline-block;
		  background-color: rgba(245,245,245, 0.3);
		  border: 1px solid #aaa;
		  border-radius: 5px;
		  padding-block-end: 1.2em;
		  margin-block-end: 1.2em;
		}
		legend {
		  font-size: 1.4rem;
		  color: white;
	      margin-bottom: 10px;
	      background: black;
	      padding: 5px 10px;
	      border-radius: 10px;
		}
		.field-wrapper {
		  display: flex;
		  flex-wrap: wrap;
		  /* justify-content: flex-end; */
		}
		label, input, button {
		  display: block;
		}
		label {
		  font-variant: small-caps;
		  font-size: 1rem;
		  font-weight: bold;
		  color: black;
		  max-width: 100%;
		  margin-left: 5px;
		  margin-right: 10px;
		  margin-top: 0px;
		  text-align: right;
		  letter-spacing: 1px;
		  background-color: rgb(255,255,255, 0.8);
		}
		.form-element {
		  display: block;
		  width: 100%;
		  padding: 8px 14px;
		  color: #333;
		  background-color: #fff;
		  border: 1px solid #ccc;
		  border-radius: 4px;
		  box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
		  transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
		  margin-bottom: 16px;
		}
		::placeholder {
		  color: #aaa;
		}
		.center {
		  width: 100%;
		  display: flex;
		  justify-content: center;
		}
		button {
		  font-size: 2em;
		  padding: 6px 10px;
		  border-radius: 4px;
		  border: 1px solid #aaaaaa;
		  color: #333;
		  font-variant: all-small-caps;
		}
		button:hover {
		  background-color: #e5e5e5;
		}
		button:active {
		  background-color: #ccc;
		}

		@media screen and (min-width: 480px) {
		  form {
		    padding-right: 15px;
		    padding-left: 15px;
		  }
		  fieldset {
		    padding-inline-end: 1.2em;
		  }
		  .welcomeScreen label {
		    flex-basis: 26%;
		  }
		  .form-element {
		    flex-basis: 68%;
		    flex-grow: 1;
		  }
		}
	</style>
	<style media="screen">      
		.container{
		    background-color: #ffffff;
		    width: 40%;
		    min-width: 500px;
		    position: absolute;
		    transform: translate(-50%,-50%);
		    top: 50%;
		    left: 50%;
		    padding: 20px 0;
		    padding-bottom: 50px;
		    border-radius: 10px;
		}
		.timerDisplay{
			margin-top: 10px;
		    background: #ffffff;
		    font-size: 26px;
		    display: flex;
		    align-items: center;
		    justify-content: space-around;
		    border-radius: 5px;
		    box-shadow: 0 0 20px rgba(0,139,253,0.25);
		}
		.buttons{
		    width: 90%;
		    margin: 60px auto 0 auto;
		    display: flex;
		    justify-content: space-around;
		}
		.buttons button{
		    width: 120px;
		    height: 45px;
		    background-color: #205e94;
		    color: #ffffff;
		    border: none;
		    font-family: 'Poppins',sans-serif;
		    font-size: 18px;
		    border-radius: 5px;
		    cursor: pointer;
		    outline: none;
		}
		.buttons button:nth-last-child(2){
		  background-color: #d23332;
		}
		.buttons button:nth-last-child(1){
		  background-color: #20b380;
		}
		.big{ width: 1.5em; height: 1.5em; }
	</style>
	<script type="text/javascript">
		let welcomeScreen = true;
		let quizScreen = false;
		let resultScreen = false;

		let [milliseconds,seconds,minutes,hours] = [0,0,0,0];
		let timerRef;
		let int = null;

		questionsHtml = "";

		let itemsArray = ["APPLE - એપલ", "APPLE WATCH - એપલ વોચ", "AUDI - ઓડી ", "BANARAS - બનારસ", "BANARASI - બનારસી", 
"BANDHAN BANK - બંધન  બેંક ", "BANDHANI - બાંધણી", "BHARAT (RAMAYANA) - ભરત (રામાયણ)", "BHARAT INDIA - ભારત દેશ", "BHATIA - ભાટિયા ",
"BHELPURI - ભેલપુરી", "BUNGLOW - બંગલો", "BURGER - બર્ગર", "DAHIPURI - દહીપુરી", "DAKOR - ડાકોર", 
"DIWALI - દિવાળી", "DRAUPADI - દ્રૌપદી", "DWARKA - દ્વારકા", "DWARKADHISH - દ્વારકાધીશ", "EVEREST PEAK - એવરેસ્ટ શિખર ", 
"EVEREST TEA - એવરેસ્ટ ટી", "FACEBOOK - ફેસબુક", "FACEWASH - ફેસવોશ", "GANDHIJI  - ગાંધીજી", "GHARCHOLU - ઘરચોળું",
"GIRNAR PARVAT - ગિરનાર પર્વત", "GIRNAR TEA - ગિરનાર ટી", "GREEN - ગ્રીન", "GUITAR - ગિટાર", "GULABJAMBU - ગુલાબજાંબુ", 
"HILTON - હિલ્ટન", "HOLI - હોળી ", "HONDA - હોન્ડા", "INSTAGRAM - ઇન્સ્ટાગ્રામ", "JAIN - જૈન", 
"JAMBU - જાંબુ", "JAMBUDI - જાંબુડી", "KALI - કાલી", "KANGAN - કંગન", "KANGANA - કંગના", 
"KANJIVARAM - કાંજીવરમ", "KARINA KAPOOR - કરિના કપૂર", "KHADAYATA - ખડાયતા", "KRUSHNA - કૃષ્ણ", "LAXMI - લક્ષ્મી", 
"LIFEBOY - લાઈફબોય", "LINKEDIN - લિંક્ડિન", "LIPTON - લિપ્ટન", "LONDON - લન્ડન ", "LUX - લક્સ ", 
"MAHAPRABHUJI - મહાપ્રભુજી", "MAHASHIVRATRI - મહાશિવરાત્રી", "MAHAVIR - મહાવીર ", "MANGALPHERA - મંગળફેરા ", "MANGALSUTRA - મંગળસૂત્ર", 
"MANGO - કેરી", "MARIE GOLD - મેરી ગોલ્ડ ", "MARUTI - મારુતિ", "MEERABAI - મીરાંબાઈ  ", "MERCEDES - મર્સિડીઝ", 
"NATHDWARA - નાથદ્વારા", "ORANGE - ઓરેન્જ ", "PAITHANI - પૈઠાણી", "PANETAR - પાનેતર", "PANIPURI - પાણીપુરી", 
"PARIS - પેરિસ ", "PASTA - પાસ્તા", "PATOLU - પટોળું ", "PINEAPPLE - પાઈનેપલ", "PIZZA - પિઝા", 
"RAMESHWAR - રામેશ્વર", "RAMNAVMI - રામનવમી", "RANBIR - રણબીર", "RANVEER - રણવીર", "ROLEX - રોલેક્સ", 
"ROSES - ગુલાબ", "SANTOOR - સંતૂર", "SARASWATI - સરસ્વતી", "SEIKO - સિકો ", "SHAHID KAPOOR - શાહિદ કપૂર", 
"SHERETON - શેરેટન", "SRINATHJI - શ્રીનાથજી", "STAR NEWS - સ્ટાર ન્યૂઝ", "STAR PLUS - સ્ટાર પ્લસ", "STAR SPORTS - સ્ટાર સ્પોર્ટ્સ", 
"SUBHASH - સુભાષ", "TAJ HOTEL - તાજ હોટેલ", "TAJ TEA - તાજ ટી", "TAJMAHAL - તાજ મહલ", "TILAK - તિલક", 
"TITAN - ટાઇટન ", "TRIDENT - ટ્રાઇડન્ટ ", "TWEETER - ટ્વિટર", "UAE - યુએઈ", "UK  - યુકે ", 
"WHATSAPP - વોટ્સેપ", "YAMUNA - યમુના", "YAMUNAJI - યમુનાજી", "ZEE CINEMA - ઝી સિનેમા", "ZEE NEWS - ઝી ન્યૂઝ"];
		
		let correctAnswersArray = ["YES", "NO", "YES", "YES", "NO", "NO", "YES", "NO", "YES", "NO", "YES", "YES", "YES", "YES", "YES", "NO", "YES", "YES", "YES", "NO", "YES", "NO", "YES", "NO", "YES", "YES", "NO", "YES", "YES", "NO", "YES", "YES", "YES", "YES", "YES", "YES", "NO", "YES", "NO", "YES", "YES", "YES", "YES", "YES", "YES", "YES", "YES", "NO", "YES", "YES", "YES", "NO", "NO", "NO", "YES", "YES", "YES", "NO", "YES", "YES", "YES", "NO", "YES", "YES", "NO", "YES", "YES", "YES", "NO", "NO", "NO", "YES", "NO", "YES", "YES", "YES", "NO", "YES", "YES", "YES", "NO", "YES", "NO", "YES", "YES", "YES", "YES", "YES", "YES", "YES", "YES", "YES", "YES", "NO", "NO", "YES", "YES", "NO", "YES", "YES"];

		let userAnswerArray = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];
		
		let attemptedArray = [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0];



		window.onload = function() {
		  	document.getElementById("welcomeScreen").style.display = "block";
			document.getElementById("quizScreen").style.display = "none";
			document.getElementById("resultScreen").style.display = "none";
		};

		function startQuiz(){
			document.getElementById("welcomeScreen").style.display = "none";
			document.getElementById("quizScreen").style.display = "block";
			document.getElementById("resultScreen").style.display = "none";
			
			timerRef = document.querySelector('.timerDisplay');
			if(int!==null){
		        clearInterval(int);
		    }
		    int = setInterval(displayTimer,10);
		    prepareQuiz();
		}

		function prepareQuiz() {
			questionsHtml = "";
			YES = "YES";
			NO = "NO";

			for (let i = 0; i < itemsArray.length; i++) {
			  questionsHtml += '<fieldset style="margin-top: 10px;">' +
			      '<legend>' + itemsArray[i] +'</legend>' +
			      '<div class="field-wrapper">' + 
			        '<input type="radio" onclick="updateAttemptedProgress(' + i + ', YES)" class="big" id="YES-' + itemsArray[i] +'" name="' + itemsArray[i] +'" value="yes">' +
					'<label for="YES-' + itemsArray[i] +'">YES</label>' +
			   		'<input type="radio" onclick="updateAttemptedProgress(' + i +', NO)" class="big" id="NO-' + itemsArray[i] +'" name="' + itemsArray[i] +'" value="no">' +
					'<label for="NO-' + itemsArray[i] +'">NO</label>' +
			      '</div>' +
			    '</fieldset>'
			}
			document.getElementById("questionsHtml").innerHTML = questionsHtml;
		}

		function updateAttemptedProgress(i, value) {
			attemptedArray[i] = 1;
			userAnswerArray[i] = value;
			updateProgressBar();
		}

		function updateProgressBar() {
			
			let count = 0;
			for (const num of attemptedArray) {
			  if(num) {
			  	count = count+1;
			  }
			}
			document.getElementById("progressBar").style.width = count+"%";
		}

		function submitQuiz() {
			document.getElementById("welcomeScreen").style.display = "none";
			document.getElementById("quizScreen").style.display = "none";
			document.getElementById("resultScreen").style.display = "block";

			clearInterval(int);
			document.getElementById("user").innerHTML = document.getElementById("name").value;

			let attemptedCount = 0;
	        for (let i=0; i<attemptedArray.length; i++) {
	            if (attemptedArray[i]) {
	                attemptedCount++;
	            }
	        }
	        document.getElementById("attemptedCount").innerHTML = attemptedCount;
	       
	        document.getElementById("userTime").innerHTML = timerRef.innerHTML;

	        let score = 0;
	        for(let i=0; i<userAnswerArray.length; i++) {
	        	if(userAnswerArray[i]) {
	        		if(userAnswerArray[i] === correctAnswersArray[i]) {
	        		score = score + 1;
		        	} else {
		        		score = score - 1;
	        		}
	        	}	        	
	        }
	        document.getElementById("userScore").innerHTML = score;
		}

		function displayTimer(){
		    milliseconds+=10;
		    if(milliseconds == 1000){
		        milliseconds = 0;
		        seconds++;
		        if(seconds == 60){
		            seconds = 0;
		            minutes++;
		            if(minutes == 60){
		                minutes = 0;
		                hours++;
		            }
		        }
		    }
		    let h = hours < 10 ? "0" + hours : hours;
		    let m = minutes < 10 ? "0" + minutes : minutes;
		    let s = seconds < 10 ? "0" + seconds : seconds;
		    let ms = milliseconds < 10 ? "00" + milliseconds : milliseconds < 100 ? "0" + milliseconds : milliseconds;

		    timerRef.innerHTML = ` ${h} : ${m} : ${s} : ${ms}`;
		}
	</script>
</head>
<body>
<div class="mainContainer">
	<div id="headerContainer">
	  <span style="color: black;background-color: white;padding: 5px;font-size: 28px;font-weight: bold;border-radius: 10px;margin-bottom: 10px">
		Memory Game
		<img src="http://www.all4e.com/assets/img/angular2-logo-red.png" style="width: 50px;background-color: white;border-radius: 10px;float: right;border: 1px solid;">
	  </span>
  </div>
  <div id="welcomeScreen">
	  <form action="javascript:;" onsubmit="startQuiz()">
	    <fieldset style="margin-top: 10px;">
	      <legend>Personal Info</legend>
	      <div class="field-wrapper">
	        <label for="name">Name*</label>
	        <input type="text" name="name" id="name" class="form-element" required autocomplete="name" placeholder="Full Name">
	         <label for="tel">Mobile No.*</label>
	        <input type="tel" name="phone" id="phone" class="form-element" required autocomplete="tel" placeholder="E.g. 987-654-3210">
	        <label for="email">Email</label>
	        <input type="email" name="email" id="email" class="form-element" autocomplete="email" placeholder="E.g. all4e.events@gmail.com">
	      </div>
	    </fieldset>
	    
	    <div class="center">
	      <button type="submit">START</button>
	    </div>
	  </form>
  </div>
  <div id="quizScreen"> 	
  		<!-- //https://codepen.io/fghty/embed/XWgQwgv?default-tab=result&editable=true&theme-id=light -->
        <div class="timerDisplay">
            00 : 00 : 00 : 000
        </div>
        <div>
        	<h3>Please choose an answer for each item below based on your memory. </h3>
        </div>
        <div id="quizQuestions" style="margin-bottom: 20px;">
        	<form action="javascript:;" onsubmit="submitQuiz()">
        		<div id="questionsHtml"></div>
			    <div class="center">
			      <button type="submit">SUBMIT QUIZ</button>
			    </div>
			</form>        	
        </div>
        <div class="w3-light-grey" style="position: sticky;bottom: 0;">
		  	<div class="w3-green" id="progressBar" style="height:24px;width:0%"></div>
		</div>
    </div>
  </div>
  <div id="resultScreen" style="padding: 0px 24px; font-size: 20px;display: block;">
  	Hello <span id="user"></span>,
  	<br>
  	Congratulations!
  	<br><br>
  	You have attempted <span id="attemptedCount"></span>/100.
 	<br>
 	Time taken - <span id="userTime"></span>
 	<br><br>
 	Your final SCORE IS 
 	<br><br>
 	<span id="userScore" style="font-size: 72px;display: block;text-align: center;"></span>

  </div>


</div>

</body>
</html>
